# frozen_string_literal: true

# Configuración base del correo
class ApplicationMailer < ActionMailer::Base
  helper :application
  before_action :inline_logo!

  default from: ENV.fetch('DEFAULT_FROM', "noreply@#{Site.domain}")
  layout 'mailer'

  private

  def inline_logo!
    attachments.inline['logo.png'] ||=
      File.read('app/assets/images/logo.png')
  end
end
