# frozen_string_literal: true

# Define el rol que tiene una usuaria en un sitio
#
# Un rol puede ser temporal, es decir que aun no se ha aceptado y
# necesita del consentimiento de le usuarie :)
class Rol < ApplicationRecord
  ROLES = %w[usuarie invitade].freeze

  belongs_to :usuarie
  belongs_to :site

  validates_inclusion_of :rol, in: ROLES

  def invitade?
    rol == 'invitade'
  end

  def usuarie?
    rol == 'usuarie'
  end
end
